> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/ag-manager/undiscover-modules/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Remove discovered actions from one IAG adapter DELETE https://example.itential.io/ag-manager/actions/{adapterId} Removes all actions from a specified Itential Gateway (IG) adapter. Restarts this app and displays a corresponding log message. Reference: https://docs.itential.com/itential-cloud/api-reference/ag-manager/undiscover-modules ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `adapterId` (string, required) — Automation Gateway adapter ID. ## Response ### 200 A pronghorn.json object. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://example.itential.io/ag-manager/actions/adapterId" response = requests.delete(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/ag-manager/actions/adapterId'; const options = {method: 'DELETE'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/ag-manager/actions/adapterId" req, _ := http.NewRequest("DELETE", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/ag-manager/actions/adapterId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://example.itential.io/ag-manager/actions/adapterId") .asString(); ``` ```php request('DELETE', 'https://example.itential.io/ag-manager/actions/adapterId'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/ag-manager/actions/adapterId"); var request = new RestRequest(Method.DELETE); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/ag-manager/actions/adapterId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```